<?php

if (function_exists('iconv')) {
    $jfile = iconv('windows-1251', 'utf-8', $dirlist[$i]);
} else {
    $jfile = $dirlist[$i];
}

$media = mysql_fetch_assoc(mysql_query("SELECT * FROM `media_info` WHERE `file` = '" . mysql_real_escape_string($jfile) . "' AND `size` = '$size' LIMIT 1"));
if ($media != NULL) {
    echo 'Разрешение: ' . $media['wh'] . "пикс<br />\n";
    echo 'Время: ' . $media['lenght'] . "<br />\n";
} elseif (class_exists('ffmpeg_movie')) {
    $media = new ffmpeg_movie(realpath($dir_loads . '/' . $dirlist[$i]));

    echo 'Разрешение: ' . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "пикс<br />\n";

    if (intval($media->getDuration()) > 3599) {
        echo 'Время: ' . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "<br />\n";
    } elseif (intval($media->getDuration()) > 59) {
        echo 'Время: ' . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "<br />\n";
    } else {
        echo 'Время: ' . intval($media->getDuration()) . " сек<br />\n";
    }
    if (intval($media->getDuration()) > 3599) {
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`, `wh`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration() / 3600) . ":" . date('s', fmod($media->getDuration() / 60, 60)) . ":" . date('s', fmod($media->getDuration(), 3600)) . "', '" . ceil(($media->getBitRate()) / 1024) . "', '" . $media->getVideoCodec() . "', '" . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "')");
    } elseif (intval($media->getDuration()) > 59) {
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`, `wh`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration() / 60) . ":" . date('s', fmod($media->getDuration(), 60)) . "', '" . ceil(($media->getBitRate()) / 1024) . "', '" . $media->getVideoCodec() . "', '" . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "')");
    } else {
        mysql_query("INSERT INTO `media_info` (`file`, `size`, `lenght`, `bit`, `codec`, `wh`) values('" . mysql_real_escape_string($jfile) . "', '$size', '" . intval($media->getDuration()) . " сек', '" . ceil(($media->getBitRate()) / 1024) . "', '" . $media->getVideoCodec() . "', '" . $media->GetFrameWidth() . 'x' . $media->GetFrameHeight() . "')");
    }
} else {
    echo 'Загружен: ' . date::time(filectime($dir_loads . '/' . $dirlist[$i])) . "<br />\n";
}
?>